{hostname ? "server"}: {...}: {
  networking.hostName = hostname;
  networking.hostId = "2ead098f";
  networking.networkmanager.enable = true;
  networking.useDHCP = false;
  # networking.resolvconf.dnsExtensionMechanism = false;
  networking.firewall = {
    enable = true;
    allowedTCPPorts = [];
    allowedUDPPorts = [];
  };

  networking.interfaces.enp2s0 = {
    ipv4.addresses = [
      {
        address = "10.0.101.10";
        prefixLength = 24;
      }
    ];
  };

  networking.defaultGateway = {
    address = "10.0.101.1";
    interface = "enp2s0";
  };

  networking.nameservers = [
    "10.0.101.1"
    "8.8.8.8"
    "8.8.4.4"
  ];

  # Uncomment when domain is set up
  # security.acme = {
  #   acceptTerms = true;
  #   certs = {
  #     defaults.email = "admin@spoodythe.one";
  #   };
  # };
}
