{fetchFromGitLab, ...}: {
  imports = [
    (fetchFromGitLab {
      owner = "simple-nixos-webserver";
      repo = "nixos-mailserver";
      rev = "c8ec4d5e432f5df4838eacd39c11828d23ce66ec";
      hash = ""; # TODO: Fill this hash
    })
  ];

  mailserver = {
    enable = true;
    fqdn = "mail.spoodythe.one";
    domains = ["spoodythe.one"];

    # A list of all login accounts. To create the password hashes, use
    # nix-shell -p mkpasswd --run 'mkpasswd -sm bcrypt'
    loginAccounts = {
      "spoody@spoodythe.one" = {
        hashedPassword = "$2b$05$sTD8VXUF76uu1LOThuOSTOC8iCe2w4jgwExwpP.cnN7UOa.YEO9G2";
        aliases = ["admin@spoodythe.one"];
      };
    };

    # Use Let's Encrypt certificates. Note that this needs to set up a stripped
    # down nginx and opens port 80.
    certificateScheme = "acme-nginx";
    certificateDomains = ["mail.spoodythe.one"];
  };
}
